# version

abstract fun version(alias: String, versionSpec: Action<in MutableVersionConstraint>): String

Configures a dependency version which can then be referenced using the versionRef )} method.

#### Return

the version alias name

#### Parameters

alias

an identifier for the version

versionSpec

the dependency version spec

abstract fun version(alias: String, version: String): String

Configures a dependency version which can then be referenced using the versionRef method.

#### Parameters

alias

an identifier for the version

version

the version alias name